%global momorel 1

Summary: Shared MIME information database
Name: shared-mime-info
Version: 0.14
Release: %{momorel}m
License: GPL
Group: System Environment/Libraries
URL: http://freedesktop.org/Software/shared-mime-info
Source: http://freedesktop.org/Software/%{name}/%{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libxml2-devel >= 2.6.8
BuildRequires:  glib-devel >= 2.4.0
# For intltool:
BuildRequires: perl-XML-Parser >= 2.34-4m
Requires: libxml2 glib

Nosource: 0

%description
This is the freedesktop.org shared MIME info database.

Many programs and desktops use the MIME system to represent the types of
files. Frequently, it is necessary to work out the correct MIME type for
a file. This is generally done by examining the file's name or contents,
and looking up the correct MIME type in a database.

%prep
%setup -q

%build

%configure --disable-update-mimedb
make

%install
rm -rf %{buildroot}
%makeinstall

## remove these bogus files
rm -rf %{buildroot}%{_datadir}/locale/*

%post 
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README NEWS shared-mime-info-spec.xml
%{_bindir}/*
%dir %{_datadir}/mime/
%{_datadir}/mime/packages
%{_libdir}/pkgconfig/*
%{_mandir}/man*/*

%changelog
* Fri Apr 23 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.14-1m)
- import from FC1

* Mon Mar 22 2004 Alex Larsson <alexl@redhat.com> 0.14-1
- update to 0.14

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Alexander Larsson <alexl@redhat.com> 0.13-1
- 0.13

* Fri Jan 16 2004 Alexander Larsson <alexl@redhat.com> mime-info
- Initial build.
